The forum software has recently been upgraded. I have been having problems with Internet Explorer and the forum so hopefully this will take care of it. More information --

vBulletin 3.6.8

vBulletin 3.6.8 is a maintenance release to improve the stability of vBulletin as well as providing required compatibility for the vBulletin Blog addon. The Blog therefore will require 3.6.8 as a minimum to function.

Changed files and mandatory template changes are listed below.

We have also fixed various bugs since vBulletin 3.6.7 was released, these fixes include: